Subject: I-D Action: draft-mattsson-cfrg-det-sigs-with-noise-02.txt

From: [email-masked]
Date: Wed, 11 Mar 2020 08:11:34 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Deterministic ECDSA and EdDSA Signatures with Additional Randomness
        Authors         : John Preuß Mattsson
                          Erik Thormarker
                          Sini Ruohomaa
	Filename        : draft-mattsson-cfrg-det-sigs-with-noise-02.txt
	Pages           : 13
	Date            : 2020-03-11

Abstract:
   Deterministic elliptic-curve signatures such as deterministic ECDSA
   and EdDSA have gained popularity over randomized ECDSA as their
   security do not depend on a source of high-quality randomness.
   Recent research has however found that implementations of these
   signature algorithms may be vulnerable to certain side-channel and
   fault injection attacks due to their determinism.  One countermeasure
   to such attacks is to re-add randomness to the otherwise
   deterministic calculation of the per-message secret number.  This
   document updates RFC 6979 and RFC 8032 to recommend constructions
   with additional randomness for deployments where side-channel attacks
   and fault injection attacks are a concern.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-mattsson-cfrg-det-sigs-with-noise/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-mattsson-cfrg-det-sigs-with-noise-02
https://datatracker.ietf.org/doc/html/draft-mattsson-cfrg-det-sigs-with-noise-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-mattsson-cfrg-det-sigs-with-noise-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/